package cz.moneta.test.dsl.ufo.banka.pages.fon;

import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.OBR003_S001_ClientContractSignPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS046_S001_DocumentsProvidedToClientPage;
import cz.moneta.test.dsl.ufo.banka.pages.fop.CIF009_S001_CreateNewFoCifAsFopPartPage;
import cz.moneta.test.dsl.ufo.banka.pages.income.FIN001_S001_FinancialIncomeSummaryPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.CAS001_S001_ScoringPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.creditCard.NKK006_S001_CreditCardScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.expres.NEP006_S001_ExpressScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.flexikredit.NFL006_S001_FlexikreditScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.DMS002_S001_ClientDocumentation;
import cz.moneta.test.dsl.ufo.banka.pages.main.HKO101_S001_MainClientPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.consolidation.UDC003_S001_CommitmentsToConsolidationPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.consolidation.UDC006_S001_ConsolidationScoringPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.consolidation.UDC007_S005_ApprovedConsolidationPrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.current.account.BPP001_S001_DocumentationSendPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.KUL024_S001_ListOfPersons;
import cz.moneta.test.dsl.ufo.banka.pages.requests.BAL006_S002_ClientRequestPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.NEP016_S023_ClientRequiredDocumentsListPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface DMS001_S001_ScanDocumentsPageTransitions extends WebFlow<DMS001_S001_ScanDocumentsPageTransitions> {

    CAS001_S001_ScoringPage onScoringPage();

    CRS001_S001_CommonReportingStatusPage onCommonReportingStatusPage();

    NKK006_S001_CreditCardScoringResultPage onCreditCardScoringResultPage();

    DMS002_S001_ClientDocumentation onClientDocumentationPage();

    HKO101_S001_MainClientPage onMainClientPage();

    UDC007_S005_ApprovedConsolidationPrintPage onApprovedConsolidationPrintPage();

    NFL006_S001_FlexikreditScoringResultPage onFlexiScoringPage();

    UDC006_S001_ConsolidationScoringPage onConsolidationScoringPage();

    UDC003_S001_CommitmentsToConsolidationPage onCommitmentsToConsolidationPage();

    NEP006_S001_ExpressScoringResultPage onMegaExpressScoringPage();

    CIF009_S001_CreateNewFoCifAsFopPartPage onCreateNewFoCifAsFopPartPage();

    DMS001_S001_ScanDocumentsPage onScanDocumentsPage();

    GDP001_S003_ClientConsentsPoPage onClientConsentsPoPage();

    DMS001_S002_DocumentsSummaryPage onDocumentsSummaryPage();

    BPP001_S001_DocumentationSendPage onDocumentationSendPage();

    OBR003_S001_ClientContractSignPage onClientContractSignPage();

    BAL006_S002_ClientRequestPage onClientRequestPage();

    KUL024_S001_ListOfPersons onListOfPersonsPage();

    FIN001_S001_FinancialIncomeSummaryPage onFinancialIncomeSummartPage();

    NEP016_S023_ClientRequiredDocumentsListPage onClientRequiredDocumentsList();

    TIS046_S001_DocumentsProvidedToClientPage onDocumentsProvidedToClientPage();

    GDP001_S001_ClientConsentsPage onClientConsentPage();

}